<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__impl__comp" kind="group">
    <compoundname>group_hal_impl_comp</compoundname>
    <title>COMP (Analog Comparator)</title>
    <briefdescription>
<para>On PSoC 6, the COMP driver can use either of two underlying hardware blocks: </para>    </briefdescription>
    <detaileddescription>
<para><itemizedlist>
<listitem><para>Opamp (configured as analog comparator)</para></listitem><listitem><para>LPComp (Low Power Comparator)</para></listitem></itemizedlist>
</para><para>Generally, a set of pins can only connect to either an Opamp or an LPComp but not both. In the event that both connections are possible, the LPComp will be preferred.</para>
<para><heading level="1">Power Level Mapping</heading></para>
<para>The following table shows how the HAL-defined power levels map to the hardware-specific power levels <verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;HAL Power Level  &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Opamp Power Level  &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;LPComp Power Level   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;&lt;a href="group__group__hal__general__types.html#group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a4d8ce140c28177e31de20cf8da8e2a99"&gt;CYHAL_POWER_LEVEL_HIGH&lt;/a&gt;  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;CY_CTB_POWER_HIGH  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;CY_LPCOMP_MODE_NORMAL   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;&lt;a href="group__group__hal__general__types.html#group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7ae189a666d589f8acf4c64142365def61"&gt;CYHAL_POWER_LEVEL_MEDIUM&lt;/a&gt;  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;CY_CTB_POWER_MEDIUM  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;CY_LPCOMP_MODE_LP   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;&lt;a href="group__group__hal__general__types.html#group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7ae06723d07ff431a2f427d95ac61e2afb"&gt;CYHAL_POWER_LEVEL_LOW&lt;/a&gt;  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;CY_CTB_POWER_LOW  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;CY_LPCOMP_MODE_ULP   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;&lt;a href="group__group__hal__general__types.html#group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a6f0f4df45e9cac012a2c8e5ba736241b"&gt;CYHAL_POWER_LEVEL_DEFAULT&lt;/a&gt;  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;CY_CTB_POWER_MEDIUM  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;CY_LPCOMP_MODE_LP   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>
    </detaileddescription>
  </compounddef>
</doxygen>